export declare const DB_NAME = "myEditorDB";
export declare const DB_VERSION = 1;
export declare const STORE_NAME = "TRADE_SESSIONS";
declare class DatabaseService {
    private db;
    private isInitializing;
    constructor();
    init(): Promise<unknown>;
    getDB(): Promise<unknown>;
    addItem(storeName: string, item: any): Promise<any>;
    getItem(storeName: string, key: string): Promise<any>;
    deleteItem(storeName: string, key: string): Promise<void>;
    clearStore(storeName: string): Promise<void>;
    close(): void;
    isOpen(): boolean;
    healthCheck(): Promise<{
        status: string;
        message: string;
    }>;
}
export declare const dbService: DatabaseService;
export {};
